# Change any part of the profile

`PATCH /account/profile` · Rivier · workspace

Change any part of the profile.

- Scope: workspace:write
- Mcp: rivier_profile_update
- Graphql: Mutation.workspaceProfileUpdate
- Sdk: workspace.profile.update
- Cli: workspace profile update

## Request body

`application/json`

```json
{
  "type": "object",
  "properties": {
    "display_name": {
      "anyOf": [
        {
          "type": "string",
          "maxLength": 80
        },
        {
          "type": "null"
        }
      ]
    },
    "avatar_url": {
      "anyOf": [
        {
          "type": "string",
          "maxLength": 500,
          "format": "uri"
        },
        {
          "type": "null"
        }
      ]
    },
    "language": {
      "anyOf": [
        {
          "type": "string",
          "enum": [
            "en",
            "de",
            "es",
            "fr",
            "ja",
            "ar",
            "sv",
            "dv"
          ]
        },
        {
          "type": "null"
        }
      ]
    },
    "time_zone": {
      "anyOf": [
        {
          "type": "string",
          "maxLength": 64
        },
        {
          "type": "null"
        }
      ]
    },
    "date_format": {
      "type": "string",
      "enum": [
        "auto",
        "dmy",
        "mdy",
        "ymd"
      ]
    },
    "number_format": {
      "type": "string",
      "enum": [
        "auto",
        "point",
        "comma",
        "space"
      ]
    },
    "theme": {
      "type": "string",
      "enum": [
        "system",
        "light",
        "dark"
      ]
    },
    "reduced_motion": {
      "type": "boolean"
    },
    "high_contrast": {
      "type": "boolean"
    }
  },
  "additionalProperties": false
}
```

## Responses

- `200`: Success
- `400`: The request was malformed
- `401`: No valid credential
- `403`: The credential lacks the scope, origin or address
- `429`: Over the key's rate limit; see Retry-After

## Example

```sh
curl -X PATCH 'https://api.rivier.ai/account/profile' \
  -H 'Authorization: Bearer $KEY' \
  -H 'Content-Type: application/json' \
  -d '{
  "display_name": "string",
  "avatar_url": "https://example.com",
  "language": "en",
  "time_zone": "string",
  "date_format": "auto",
  "number_format": "auto",
  "theme": "system",
  "reduced_motion": false
}'
```
